SharpDevelop Community

Get your problems solved!
Welcome to SharpDevelop Community Sign in | Join | Help
in Search

Issues in installing a package

Last post 10-28-2017 4:14 PM by sbridewell. 1 replies.
Page 1 of 1 (2 items)
Sort Posts: Previous Next
  • 10-22-2017 7:02 PM

    • Col.Kurtz
    • Not Ranked
    • Joined on 07-23-2007
    • Somewhere, beteen Vietnam, Laos and Cambodia
    • Posts 3

    Issues in installing a package

    Hello to everybody,

    I am trying to install simpletcp package (https://www.nuget.org/packages/SimpleTCP/1.0.24) in my ShaprDevelop but I get the following error message:

     Install-Package : Could not install package 'SimpleTCP 1.0.24'. You are trying to install t
    his package into a project that targets '.NETFramework,Version=v4.0', but the package does 
    not contain any assembly references or content files that are compatible with that framewor
    k. For more information, contact the package author.

    Both in manually installing (from the console prompt or directly form 'mamaging package' menu)

    I have the lastest .NET framework (4.6.2) installed.

    Could somenone help me ?

    Advanced thanks

  • 10-28-2017 4:14 PM In reply to

    Re: Issues in installing a package

    You may have 4.6.2 installed but it sounds like your project is targetting 4.0 and from a quick look at the SimpleTCP github repository it seems to target 4.5. To check this, right click on your project in the solution explorer, select "properties" and go to the "compiling" tab and look for the "target framework".

    Simon

Page 1 of 1 (2 items)
Powered by Community Server (Commercial Edition), by Telligent Systems
Don't contact us via this (fleischfalle@alphasierrapapa.com) email address.